var monNom = "que dalle";
var monPrenom = "que dalle";
var monTableau = [];
var onAActualise = false;

async function actualise (monNomArg, monTableauArg) {
    monNom = monNomArg;
    monTableau = monTableauArg;
    actualise2();
}

async function actualise2 () {
    onAActualise = true;
    // La mention sera bel et bien correctement mise à jour dans
    // la page HTML, que le fetch du main soit affecté d'un paramétrage
    // "await" ou non.
    document.querySelector("#mention").innerText =
	monNom + " " + monTableau[3];
}

async function main () {
// Il faut que cette fonction soit "async" pour pouvoir y inclure
// un paramétrage "await"
    console.log("Début du main.");

    // En fait, le processus décrit dans les lignes qui suivent
    // est lancé indépendamment, comme un daemon en somme, et
    // exécuté "en temps et en heure" (pas forcément tout de suite, donc),
    // une fois le fichier JSON lu et interprété. Si on le paramètre
    // avec "await", le script attend tout bêtement la fin de son exécution,
    // mais autrement il continue sans attendre.
    await fetch("beauvoir.json")
        .then(response => {
            return response.json();
        })
        .then((objetRecupere) => {
            var monNom2 = objetRecupere.nom;
            var monPrenom2 = objetRecupere.prenom;
            var monTableau2 = objetRecupere.tableau;
            actualise(monNom2, monTableau2);
       });
    
    // Noter l'asynchronicité: si on supprime la mention await
    // de la boucle précédente, la boucle qui suit sera exécutée
    // AVANT les instructions qui précèdent (sur la base de la "promise" de
    // fetch, et non sur celle du vrai contenu du fichier JSON)...
    if (onAActualise) {
	console.log("L'actualisation a eu lieu.");
        console.log("Tugudu = " + monNom + " " + monTableau[2]);
    } else {
        console.log("L'actualisation est encore en attente.");
	console.log("Tagada = " + monNom);
    }
    
    console.log("Fin du main.");
}
